<include file="public@header" />
</head>
<body>
	<div class="wrap">
		<ul class="nav nav-tabs">
			<li ><a href="{:url('Music/index')}">{:lang('MUSIC_LIST')}</a></li>
			<li class="active"><a >{:lang('ADD')}</a></li>
		</ul>
		<form method="post" class="form-horizontal js-ajax-form margin-top-20" action="{:url('Music/addPost')}">

            <div class="form-group">
				<label for="input-name" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('CLASSIFICATION')}</label>
				<div class="col-md-6 col-sm-10">
					<select class="form-control" name="classify_id">
                        <option value="0">{:lang('DEFAULT_CATEGORY')}</option>
                        <volist name="classify" id="v">
                        <option value="{$key}">{$v}</option>
                        </volist>
                    </select>
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-title" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('NAME')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-title" name="title">
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-author" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('SINGER')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-author" name="author">
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-user_login" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('COVER')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="hidden" name="img_url" id="thumbnail" value="">
                    <a href="javascript:uploadOneImage('{:lang('UPLOAD_IMAGE')}','#thumbnail');">
                        <img src="__TMPL__/public/assets/images/default-thumbnail.png"
                                 id="thumbnail-preview"
                                 style="cursor: pointer;max-width:100px;max-height:100px;"/>
                    </a>
                    <input type="button" class="btn btn-sm btn-cancel-thumbnail" value="{:lang('REMOVE_IMAGE')}">{:lang('RECOMMENDED_DIMENSIONS', ['width' => '200', 'height' => '200'])}
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-length" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('UPLOAD_MUSIC')}</label>
				<div class="col-md-6 col-sm-10">
                    <input class="form-control" type="file" name="file" id="upfile" style="width: 300px;display: inline-block;"/>
                    <!-- <input class="form-control" id="js-file-input" type="text" name="file_url" value="" style="width: 300px;display: inline-block;" title="{:lang('FILE_NAME')}">
                        <a href="javascript:uploadOne('{:lang('FILE_UPLOAD')}','#js-file-input','audio');">{:lang('UPLOAD_FILE')}</a> -->{:lang('MP3_FORMAT')}
                        
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-length" class="col-sm-2 control-label"></label>
				<div class="col-md-6 col-sm-10">
					<audio id="audio" controls="" style="display: none;"></audio>
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-length" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('MUSIC_LENGTH')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-length" name="length" value="" style="width: 300px;display: inline-block;" readonly> {:lang('AUTO_GET_ON_UPLOAD')}
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-use_nums" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('USED_COUNT')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-use_nums" name="use_nums" value="0">{:lang('ENTER_POSITIVE_INTEGER')}
				</div>
			</div>
            
			<div class="form-group">
				<div class="col-sm-offset-2 col-sm-10">
					<button type="submit" class="btn btn-primary js-ajax-submit">{:lang('ADD')}</button>
					<a class="btn btn-default" href="javascript:history.back(-1);">{:lang('BACK')}</a>
				</div>
			</div>
            
		</form>
	</div>
	<script src="__STATIC__/js/admin.js"></script>
    <script>
        Wind.use('layer');
        (function(){
            $('.btn-cancel-thumbnail').click(function () {
                $('#thumbnail-preview').attr('src', '__TMPL__/public/assets/images/default-thumbnail.png');
                $('#thumbnail').val('');
            });
        })()
        
        $(function () {  
            $("#upfile").change(function () {
                
                //获取文件类型
            	var a=$("#upfile").val();
            	var arr=a.split('.');
            	var type=arr[arr.length-1];
            	if(type.toLowerCase()!="mp3"){
            		layer.msg("{:lang('PLEASE_UPLOAD_A_FILE_IN_MP3_FORMAT')}");
            		$("#submit").attr("disabled","true");
            		return;
            	}
                
                var objUrl = getObjectURL(this.files[0]);  
                $("#audio").attr("src", objUrl);  
                //$("#audio")[0].play();  
                $("#audio").show();  
                getTime();  
            });  
        }); 


        //获取mp3文件的时间 兼容浏览器  
        function getTime() {  
            setTimeout(function () {  
                var duration = $("#audio")[0].duration;  
                if(isNaN(duration)){  
                    //layer.msg("{:lang('FILE_ERROR_PLEASE_UPLOAD_AGAIN')}");
                    getTime();
                    return !1;
                }  

                //console.log($("#audio")[0]); 
               // console.info("该歌曲的总时间为: "+$("#audio")[0].duration+"秒");
                var length=Math.floor($("#audio")[0].duration); //获取音乐长度

                if(length<15){ //长度小于15秒
                    layer.msg('{:lang("MUSIC_LENGTH_CANNOT_BE_LESS_THAN_15_SECONDS")}');
                }

                var len_str="00:00";
                if(length>60){
                    var minute=Math.floor(length/60);
                    var second=length%60;
                    if(minute<10){
                        minute="0"+minute;
                    }
                    if(second<10){
                        second="0"+second;
                    }
                    len_str=minute+":"+second;

                }else{
                    if(length<10){
                        length="0"+length;
                    }
                    len_str="00:"+length;
                }

                //console.log(len_str);
                $("#input-length").val(len_str);
            }, 50);  
        }  
        //把文件转换成可读URL 
        function getObjectURL(file) {
            var url = null;  
            if (window.createObjectURL != undefined) { // basic  
                url = window.createObjectURL(file);  
            } else if (window.URL != undefined) { // mozilla(firefox)  
                url = window.URL.createObjectURL(file);  
            } else if (window.webkitURL != undefined) { // webkit or chrome  
                url = window.webkitURL.createObjectURL(file);  
            }  
            return url;  
        }
    </script>
</body>
</html>